{ config, pkgs, lib, ... }: {
  imports = [
    # basic services
    ../services/ssh.nix
    ../services/vpn.nix
    ../services/l10n.nix
    ./caches.nix
    ./quicksudo.nix
    ../users/mat.nix
    ../users/mat-hm.nix
  ];

  system.autoUpgrade.enable = true;
  system.copySystemConfiguration = true;

  environment.systemPackages = with pkgs; [
    fish
    git
    htop
    ripgrep
    tmux
    tree
    unzip
    vim
    wget
    zip
  ];

  environment.variables = {
    "EDITOR" = "vim";
    "VISUAL" = "vim";
  };

  programs = {
    fish.enable = false;
    ssh = { startAgent = true; };
  };
}
